/*
 * @Author: WuWei
 * @Date: 2020-06-12 15:14:25
 * @LastEditors: WuWei
 * @LastEditTime: 2020-06-16 09:55:09
 * @Description:
 */

class SearchCarListModel {
  String? id;
  String? type;
  String? cardNo;
  String? ownerName;
  String? ownerMobile;

  SearchCarListModel({
    this.type,
    this.cardNo,
    this.id,
    this.ownerName,
    this.ownerMobile,
  });

  SearchCarListModel.fromJson(json) {
    Map<String, dynamic> map = Map.from(json ?? {});

    type = map['type'];
    cardNo = map['cardNo'];
    id = map['id'];
    ownerName = map['ownerName'];
    ownerMobile = map['ownerMobile'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = Map<String, dynamic>();

    json['type'] = this.type;
    json['cardNo'] = this.cardNo;
    json['id'] = this.id;
    json['ownerName'] = this.ownerName;
    json['ownerMobile'] = this.ownerMobile;

    return json;
  }
}
